=== ezminc/CMakeLists.txt ===
IF(LIBMINC_BUILD_V2)
  ADD_DEFINITIONS( -DMINC2 )
ENDIF(LIBMINC_BUILD_V2)


SET( MINC_IO_HEADERS 
    minc_io_exceptions.h 
    minc_io_fixed_vector.h  
    minc_io_simple_volume.h
    minc_1_rw.h
    minc_1_simple.h
    minc_1_simple_rw.h
    minc_io_4d_volume.h
   )

SET( MINC_IO_SRC 
    minc_1_rw.cpp
    minc_1_simple_rw.cpp
  )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR})
ADD_LIBRARY( minc_io ${LIBRARY_TYPE} ${MINC_IO_HEADERS} ${MINC_IO_SRC})
TARGET_LINK_LIBRARIES(minc_io ${LIBMINC_LIBRARIES})

SET_TARGET_PROPERTIES(minc_io
 PROPERTIES 
  SOVERSION ${LIBMINC_SOVERSION})

IF(LIBMINC_INSTALL_LIB_DIR)
  INSTALL(TARGETS 
           minc_io 
          EXPORT
            ${LIBMINC_EXPORTED_TARGETS}  
    LIBRARY DESTINATION ${LIBMINC_INSTALL_LIB_DIR} COMPONENT libraries
    ARCHIVE DESTINATION ${LIBMINC_INSTALL_LIB_DIR} COMPONENT libraries
    RUNTIME DESTINATION ${LIBMINC_INSTALL_LIB_DIR} COMPONENT libraries
            )
ENDIF(LIBMINC_INSTALL_LIB_DIR)

IF(LIBMINC_INSTALL_INCLUDE_DIR)
  INSTALL(FILES  ${MINC_IO_HEADERS} DESTINATION ${LIBMINC_INSTALL_INCLUDE_DIR})
ENDIF(LIBMINC_INSTALL_INCLUDE_DIR)
  
IF(LIBMINC_BUILD_EZMINC_EXAMPLES)
  ADD_SUBDIRECTORY(examples)  
ENDIF(LIBMINC_BUILD_EZMINC_EXAMPLES)

IF(BUILD_TESTING)
  ADD_SUBDIRECTORY(tests)
ENDIF(BUILD_TESTING)
