=== debian/changelog ===
libminc (2.4.07-1) unstable; urgency=medium

  [ Steve M. Robbins ]
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * [5f526ae] refresh patches

 -- Steve M. Robbins <smr@debian.org>  Thu, 23 Oct 2025 19:28:01 -0500
