=== debian/control ===
Source: libminc
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Steve M. Robbins <smr@debian.org>,
 Andreas Tille <tille@debian.org>,
Section: science
Priority: optional
Build-Depends:
 dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 dh-exec,
 cmake,
 libnetcdf-dev,
 libnifti-dev,
 zlib1g-dev,
 libhdf5-dev,
Vcs-Browser: https://salsa.debian.org/med-team/libminc
Vcs-Git: https://salsa.debian.org/med-team/libminc.git
Homepage: https://github.com/BIC-MNI/libminc
Rules-Requires-Root: no

Package: libminc2-5.3.0t64
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Breaks:
 libminc2-5.3.0 (<< ${source:Version}),
Provides:
 ${t64:Provides},
Replaces:
 libminc2-5.3.0,
Description: MNI medical image format library
 This package contains the libraries libminc2 and libminc_io.
 .
 The Minc file format is a highly flexible medical image file format.
 Minc version 1 is built on top of the NetCDF generalized data format.
 Minc version 2 is built on top of the HDF data format.  This library
 handles both formats.  In each case the format is
 simple, self-describing, extensible, portable and N-dimensional, with
 programming interfaces for both low-level data access and high-level
 volume manipulation. On top of the libraries is a suite of generic
 image-file manipulation tools. The format, libraries and tools are
 designed for use in a medical-imaging research environment : they are
 simple and powerful and make no attempt to provide a pretty interface
 to users.

Package: libminc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 ${misc:Depends},
 libminc2-5.3.0t64 (= ${binary:Version}),
 libnetcdf-dev,
 libhdf5-dev,
Conflicts:
 libminc0-dev,
Replaces:
 libminc0-dev,
Description: MNI medical image format development environment
 This package contains the library and headers for libminc2 and
 libminc_io.
 .
 The Minc file format is a highly flexible medical image file format.
 Minc version 1 is built on top of the NetCDF generalized data format.
 Minc version 2 is built on top of the HDF data format.  This library
 handles both formats.  In each case the format is
 simple, self-describing, extensible, portable and N-dimensional, with
 programming interfaces for both low-level data access and high-level
 volume manipulation. On top of the libraries is a suite of generic
 image-file manipulation tools. The format, libraries and tools are
 designed for use in a medical-imaging research environment : they are
 simple and powerful and make no attempt to provide a pretty interface
 to users.
