=== debian/rules ===
#! /usr/bin/make -f

export DEB_CPPFLAGS_MAINT_APPEND := -Wconversion

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifeq ($(DEB_BUILD_ARCH),i386)
  export DEB_CXXFLAGS_MAINT_APPEND=-ffloat-store
  export DEB_CFLAGS_MAINT_APPEND=-ffloat-store
endif

ARCH = $(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)

CMAKE_FLAGS = \
	-DLIB_SUFFIX=/$(ARCH) \
	-DBUILD_TESTING:BOOL=ON \
	-DLIBMINC_BUILD_EZMINC_EXAMPLES:BOOL=ON \
	-DLIBMINC_BUILD_SHARED_LIBS:BOOL=ON \
	-DLIBMINC_MINC1_SUPPORT:BOOL=ON \
        -DLIBMINC_USE_SYSTEM_NIFTI:BOOL=ON

%:
	dh $@

override_dh_auto_configure:
	rm -f cmake-modules/*HDF5*
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test --no-parallel
endif
